# Mathematical problem solution {#mathematical-problem-solution .unnumbered}

Let's consider the problem of decomposition (approximation) of fractions
that lie in the range from 0 to 1 by the sum of two fractions with 1 in
the numerators (so called unit fractions) and, possibly, natural,
unequal numbers in the denominators.

We will consider one of the two denominators to be a natural number,
smaller than the other number in the denominator, and we will look for
such a pair of numbers that, when rounded to natural numbers, will give
the minimum absolute error of the resulting approximation.
Mathematically, this leads to a problem and its further solution below.

$$\dfrac{1}{a} + \dfrac{1}{b} = k,\quad k,\,b \in \mathrm{R},\; a \in \mathrm{N},\; 0 < k < 1,\; b>0,\, a < b$$

$$\dfrac{1}{a} + \dfrac{1}{b} = k = \dfrac{a+b}{ab}>\dfrac{2}{a+b}=\dfrac{1}{\dfrac{a+b}{2}}$$

$$b=\dfrac{a}{ka-1}$$

Logically, there are possible two situations, but the first one (the two
equations below) leads to the contradiction with the idea of
approximation, so we use the second option.

$$1<a<\dfrac{1}{k}<b$$ $$1 < b < 0,\quad \emptyset$$

The second option is below:

$$1 < \dfrac{1}{k}<a<b$$

Let's consider the following option and prove that it leads to no
solutions.

$$a \geq \dfrac{2}{k}$$ $$\dfrac{1}{a} \leq \dfrac{k}{2}$$
$$\dfrac{1}{b} \geq k - \dfrac{k}{2} = \dfrac{k}{2}$$
$$a < b \leq \dfrac{2}{k} \leq a,\quad \emptyset$$

This contradiction above proves that we should seek for solution using
the following:

$$a \in \left[\left[\dfrac{1}{k}\right]+1,\ldots ,\; \left[\dfrac{2}{k}\right]\right], \;  b = \dfrac{a}{ka - 1}$$
For the solutions above there is a criterion of their usability below:

$$b = na, n \geq 1$$ $$na = \dfrac{a}{ka-1}$$
$$a=\dfrac{n+1}{kn}<\left[\dfrac{2}{k}\right]$$
$$n>\dfrac{1}{\left[\dfrac{2}{k}\right]\cdot k - 1}$$

# Relation to music rhythm and meter {#relation-to-music-rhythm-and-meter .unnumbered}

It can be used to produce music by approximation of the meter. This
leaeds to interesting structures, that have some commonality with the
structures, which are written about in the work [@link1994long].

It also is directly connected to the irrational time signatures in music
(see: [@wheatley2019use]).

# Acknowledgements {#acknowledgements .unnumbered}

Author would like to support the foundation
[Gastrostars](https://gastrostars.nl) and its founder [Emma
Kok](https://emmakok.nl). The founder inspired him to conduct such a
research. Besides, the author is grateful to the [Hackage
website](https://hackage.haskell.org) for publishing the Haskell code
related to the research.
On the 2023-04-19 there is the founder's namesday, the memory of St. Emma  of Lesum or Emma of Stiepel      
(also known as Hemma and Imma). 
If you would like to share some financial support, please, contact the foundation using the URL:                                                                                      
                                                                                                     
[Contact Foundation GASTROSTARS](https://gastrostars.nl/hou-mij-op-de-hoogte)

